Shadowfax Hyperlocal Dedicated Store API
integer · requiredinteger · requiredintegerstring
integer · requiredstring · enum · requirednumber · requirednumber · requiredstringstring | null
integer · requiredstring · requirednumber · requirednumber · requirednumber · requiredbooleanstring
integer · requiredstring · enum · requirednumber · requirednumber · requiredboolean · requiredstring
integer · requiredbooleanstringinteger
Staging-only endpoints to simulate order status transitions and rider location callbacks.
Allot rider (sandbox)
PUT
https://hlbackend.staging.shadowfax.in
/app/v3/sandbox/clusters/orders/{sfx_order_id}/allot/
Authorization (header)
Staging only. Allot a rider and mark status as ALLOTTED. Pass "only_allot": 1 to trigger the acceptance callback.
Note: You may receive either ALLOTTED or ACCEPTED callback. If the order is already allotted and this API is called with only_allot: 1 to receive the ACCEPTED callback, the ACCEPTED callback will not be sent.
path Parameters
sfx_order_idAllot rider (sandbox) › Request Body
rider_idonly_allotPass 1 to trigger acceptance callback.
Allot rider (sandbox) › Responses
Rider allotted
messageUpdate rider arrival at pickup (sandbox)
POST
https://hlbackend.staging.shadowfax.in
/app/v3/sandbox/order/{sfx_order_id}/update-rider-arrival/
Authorization (header)
Order collect / dispatch (sandbox)
PUT
https://hlbackend.staging.shadowfax.in
/app/v3/sandbox/order/{sfx_order_id}/collect/
Authorization (header)
path Parameters
sfx_order_idOrder collect / dispatch (sandbox) › Request Body
statusEnum values:
COLLECTED
pickup_latpickup_lngOrder collect / dispatch (sandbox) › Responses
200
Order collected
messagevirtual_contact_numberCustomer doorstep arrival (sandbox)
PUT
https://hlbackend.staging.shadowfax.in
/app/v3/sandbox/order/{sfx_order_id}/customer-doorstep-arrival/
Authorization (header)
path Parameters
sfx_order_idCustomer doorstep arrival (sandbox) › Request Body
time_arrivalarrival_latarrival_lngarrival_accuracyCustomer doorstep arrival (sandbox) › Responses
200
Doorstep arrival updated
statusmessageMark order delivered (sandbox)
PUT
https://hlbackend.staging.shadowfax.in
/app/v3/sandbox/order/{sfx_order_id}/deliver/
Authorization (header)
path Parameters
sfx_order_idMark order delivered (sandbox) › Request Body
statusEnum values:
DELIVERED
delivery_latitudedelivery_longitudeis_partial_deliveryMark order delivered (sandbox) › Responses
200
Order delivered
messageCustomer return (sandbox)
PUT
https://hlbackend.staging.shadowfax.in
/app/v3/sandbox/order/{sfx_order_id}/customer-return/
Authorization (header)
Staging only. Mark status as CANCELLED_BY_CUSTOMER. Response may include rts_order_id.
path Parameters
sfx_order_idCustomer return (sandbox) › Responses
200
Customer return recorded
statusmessagerts_order_idReturn to seller (sandbox)
PUT
https://hlbackend.staging.shadowfax.in
/app/v3/sandbox/order/{sfx_order_id}/seller-return/
Authorization (header)
Update rider location (sandbox)
PUT
https://hlbackend.staging.shadowfax.in
/app/v3/sandbox/order/{sfx_order_id}/update-rider-location/
Authorization (header)